Name:		qubes-manager
Version:	4.1.1
Release:	1%{?dist}
Summary:	The Graphical Qubes VM Manager.
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org
Requires:	python%{python3_pkgversion}
Requires:	python%{python3_pkgversion}-PyQt5
Requires:	python%{python3_pkgversion}-inotify
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.0.19
Requires:	python%{python3_pkgversion}-Quamash
Requires:	qubes-desktop-linux-common >= 4.0.16
Requires:	qubes-artwork
Requires:	pmount
Requires:	cryptsetup
Requires:	wmctrl
BuildRequires:	python%{python3_pkgversion}-PyQt5-devel
BuildRequires:	python%{python3_pkgversion}-devel
%if 0%{?rhel} == 7
BuildRequires:  qt5-qtbase-devel
%else
BuildRequires:	qt5-devel
%endif
BuildRequires:  qt5-linguist
AutoReq:	0

Source0: %{name}-%{version}.tar.gz

%description
The Graphical Qubes VM Manager.

%prep
%setup -q

%build
make ui res translations
make python

%install
make python_install \
    DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/libexec/qubes-manager/
cp qubesmanager/mount_for_backup.sh $RPM_BUILD_ROOT/usr/libexec/qubes-manager/
cp qubesmanager/qvm_about.sh $RPM_BUILD_ROOT/usr/libexec/qubes-manager/
cp qubesmanager/dsa-4371-update $RPM_BUILD_ROOT/usr/libexec/qubes-manager/

mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp qubes-global-settings.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qubes-vm-create.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qubes-backup.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qubes-backup-restore.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qubes-qube-manager.desktop $RPM_BUILD_ROOT/usr/share/applications/
cp qubes-template-manager.desktop $RPM_BUILD_ROOT/usr/share/applications/

mkdir -p $RPM_BUILD_ROOT/usr/share/desktop-directories/
cp qubes-tools.directory $RPM_BUILD_ROOT/usr/share/desktop-directories/

mkdir -p $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged/
cp qubes-tools.menu $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged/

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-global-settings
/usr/bin/qubes-vm-settings
/usr/bin/qubes-vm-create
/usr/bin/qubes-vm-boot-from-device
/usr/bin/qubes-backup
/usr/bin/qubes-backup-restore
/usr/bin/qubes-qube-manager
/usr/bin/qubes-log-viewer
/usr/bin/qubes-template-manager
/usr/libexec/qubes-manager/mount_for_backup.sh
/usr/libexec/qubes-manager/qvm_about.sh
/usr/libexec/qubes-manager/dsa-4371-update

%dir %{python3_sitelib}/qubesmanager
%{python3_sitelib}/qubesmanager/__pycache__
%{python3_sitelib}/qubesmanager/__init__.py
%{python3_sitelib}/qubesmanager/clipboard.py
%{python3_sitelib}/qubesmanager/block.py
%{python3_sitelib}/qubesmanager/table_widgets.py
%{python3_sitelib}/qubesmanager/appmenu_select.py
%{python3_sitelib}/qubesmanager/backup.py
%{python3_sitelib}/qubesmanager/backup_utils.py
%{python3_sitelib}/qubesmanager/firewall.py
%{python3_sitelib}/qubesmanager/global_settings.py
%{python3_sitelib}/qubesmanager/multiselectwidget.py
%{python3_sitelib}/qubesmanager/restore.py
%{python3_sitelib}/qubesmanager/settings.py
%{python3_sitelib}/qubesmanager/log_dialog.py
%{python3_sitelib}/qubesmanager/about.py
%{python3_sitelib}/qubesmanager/releasenotes.py
%{python3_sitelib}/qubesmanager/informationnotes.py
%{python3_sitelib}/qubesmanager/create_new_vm.py
%{python3_sitelib}/qubesmanager/common_threads.py
%{python3_sitelib}/qubesmanager/qube_manager.py
%{python3_sitelib}/qubesmanager/utils.py
%{python3_sitelib}/qubesmanager/bootfromdevice.py
%{python3_sitelib}/qubesmanager/device_list.py
%{python3_sitelib}/qubesmanager/template_manager.py

%{python3_sitelib}/qubesmanager/resources_rc.py

%{python3_sitelib}/qubesmanager/ui_backupdlg.py
%{python3_sitelib}/qubesmanager/ui_bootfromdevice.py
%{python3_sitelib}/qubesmanager/ui_globalsettingsdlg.py
%{python3_sitelib}/qubesmanager/ui_multiselectwidget.py
%{python3_sitelib}/qubesmanager/ui_newappvmdlg.py
%{python3_sitelib}/qubesmanager/ui_newfwruledlg.py
%{python3_sitelib}/qubesmanager/ui_restoredlg.py
%{python3_sitelib}/qubesmanager/ui_settingsdlg.py
%{python3_sitelib}/qubesmanager/ui_logdlg.py
%{python3_sitelib}/qubesmanager/ui_about.py
%{python3_sitelib}/qubesmanager/ui_releasenotes.py
%{python3_sitelib}/qubesmanager/ui_informationnotes.py
%{python3_sitelib}/qubesmanager/ui_qubemanager.py
%{python3_sitelib}/qubesmanager/ui_devicelist.py
%{python3_sitelib}/qubesmanager/ui_templatemanager.py
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.qm
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.ts

%{python3_sitelib}/qubesmanager/tests/__pycache__
%{python3_sitelib}/qubesmanager/tests/__init__.py
%{python3_sitelib}/qubesmanager/tests/test_backup.py
%{python3_sitelib}/qubesmanager/tests/test_backup_utils.py
%{python3_sitelib}/qubesmanager/tests/test_global_settings.py
%{python3_sitelib}/qubesmanager/tests/test_qube_manager.py
%{python3_sitelib}/qubesmanager/tests/test_create_new_vm.py
%{python3_sitelib}/qubesmanager/tests/test_vm_settings.py

%dir %{python3_sitelib}/qubesmanager-*.egg-info
%{python3_sitelib}/qubesmanager-*.egg-info/*

/usr/share/applications/qubes-global-settings.desktop
/usr/share/applications/qubes-vm-create.desktop
/usr/share/applications/qubes-backup.desktop
/usr/share/applications/qubes-backup-restore.desktop
/usr/share/applications/qubes-qube-manager.desktop
/usr/share/applications/qubes-template-manager.desktop
/usr/share/desktop-directories/qubes-tools.directory
/etc/xdg/menus/applications-merged/qubes-tools.menu

%changelog
* Mon Oct 28 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-manager

* Mon Oct 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 15a2e74
- version 4.1.1

* Mon Oct 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f24e153
- Merge remote-tracking branch 'origin/pr/206'

* Sun Oct 27 2019 hexagonrecursion <52621858+hexagonrecursion@users.noreply.github.com> - 42affe0
- Remove redundant popups

* Fri Oct 25 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 62774ff
- Handle CentOS 7 build.

* Fri Oct 25 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 17d6cf4
- travis: add CentOS 7 build

* Thu Oct 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7bdcb23
- Fix erroneous usage of 'qubes' module

* Thu Oct 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 563f4d0
- Merge remote-tracking branch 'origin/pr/185'

* Thu Oct 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1a6addd
- Merge remote-tracking branch 'origin/pr/203'

* Thu Oct 24 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1dabce0
- Merge remote-tracking branch 'origin/pr/205'

* Thu Oct 24 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 0d2d997
- Added better exception handling on Backup Cancel

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c82e1c8
- travis: switch to bionic

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5bb2c88
- travis: add dom0 and Fedora VM builds for R4.1

* Thu Oct 17 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 4c2adbc
- Tests fixed for new features and bugfixes

* Thu Oct 17 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c1192ec
- Allow build for VM

* Thu Oct 17 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 74eba3b
- Removed not needed workaround for check-updates on dom0

* Wed Oct 16 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 3d7d990
- Fixed default install_system state for Create New VM

* Tue Oct 15 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 6f73ef2
- Fixed manager tests to use Qt5

* Sun Oct 06 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 0c10723
- Fixed incorrect QApplication start that led to missing icons

* Mon Sep 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 12481fd
- Merge remote-tracking branch 'origin/pr/202'

* Mon Sep 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fcec3d7
- Merge remote-tracking branch 'origin/pr/200'

* Sat Sep 28 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - fb0049f
- Fixed tab order in VM Settings

* Sat Sep 28 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 442066d
- Fixed change in QFileDialog behavior in PyQt5

* Fri Sep 27 2019 Saswat Padhi <padhi@cs.ucla.edu> - 4ee3c55
- Show the previous VM name while renaming

* Thu Sep 26 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 5d88e5f
- Pylint fixes

* Thu Sep 26 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 3207824
- Code deduplication and cleanup

* Thu Sep 26 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 8a36537
- Removed unused line in GUI Backup

* Mon Sep 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b51cd03
- version 4.1.0

* Mon Sep 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bdf0951
- Merge remote-tracking branch 'origin/pr/198'

* Mon Sep 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0dc73fd
- Merge remote-tracking branch 'origin/pr/196'

* Fri Sep 20 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d85940c
- Added an Advanced tab to Create New Qube dialog

* Fri Sep 20 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 2e152b8
- Fixed new firewall rule window

* Fri Sep 20 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b0d5263
- Merge remote-tracking branch 'origin/pr/199'

* Thu Sep 19 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 2d644c3
- Improved display of default disposable VM in Qube Manager

* Thu Sep 19 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 9aeacce
- Qube Manager now reacts to changing some global properties

* Fri Sep 06 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - df9576a
- Fixed UI error

* Wed Aug 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ced452
- Merge remote-tracking branch 'origin/pr/177'

* Wed Aug 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c32d63d
- Merge remote-tracking branch 'origin/pr/181'

* Wed Aug 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1edf363
- Merge remote-tracking branch 'origin/pr/172'

* Wed Aug 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1e3c0bf
- Merge remote-tracking branch 'origin/pr/194'

* Wed Aug 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6107a1f
- Merge remote-tracking branch 'origin/pr/192'

* Wed Aug 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b4b3588
- Minor fix qt4 -> qt5

* Wed Aug 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 990e4ab
- Merge remote-tracking branch 'origin/pr/178'

* Sat Aug 17 2019 Aras Ergus <arasergus@posteo.net> - bbe14f5
- Fix arithmetic in init/max mem ratio correction

* Sat Aug 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dde21e3
- version 4.0.39

* Sat Aug 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3c9d7d3
- firewall: service name can contain digits too

* Fri Aug 09 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - dedde71
- Fixed bug with port numbers and services in VM settings

* Thu Aug 08 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1cd95fc
- Added virt mode column to Qube Manager

* Fri Aug 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f1a1c2c
- version 4.0.38

* Fri Aug 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d5a4ddb
- Merge remote-tracking branch 'origin/pr/191'

* Fri Aug 02 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1d7d51e
- Fixed parsing port ranges in VM settings

